import { Seniority } from "../models/enum/seniority";
import { QuestionOption } from "../models/quickFilter.model";

export const questionList: QuestionOption[] = [
    {
        name: 'gender',
        title: '顧問性別',
        detail: [
            { name: '男性', value: 'male', className: 'btn_man'},
            { name: '女性', value: 'female', className: 'btn_woman'}
        ],
        type: 'radio'
    },
    // { TODO:隱藏滿意度
    //     name: 'avgScore',
    //     title: '顧問滿意度',
    //     detail: [],
    //     type: ''
    // },
    {
        name: 'communicationStyles',
        title: '溝通風格',
        detail: [
            { value: '謹慎務實', className: 'btn_owl'},
            { value: '明快主動', className: 'btn_tiger'},
            { value: '耐心傾聽', className: 'btn_koala'},
            { value: '健談風趣', className: 'btn_peacock'}
        ],
        type: 'checkbox'
    },
    {
        name: 'seniority',
        title: '年資',
        detail: [
            { name: '年輕', value: Seniority.YOUNG, subTitle: '給年輕人一個機會', className: '' },
            { name: '資深', value: Seniority.SENIOR, subTitle: '薑是老的辣', className: '' },
            { name: '不限', value: Seniority.UNLIMITED, subTitle: '年齡不是問題', className: '' }
        ],
        type: 'radio'
    }
    // {
    //     name: 'status',
    //     title: '上線狀態',
    //     detail: [],
    //     type: 'radio'
    // }
];